Clicky

Skip to main content

iMeet Sales Accelerator is now iMeet Narrate.

Learn how to get your GlobalMeet password. | Register for Cisco WebEx Training.

Meeting Support

What are the iMeet Minimum System Requirements?

This page contains the hardware and software requirements for installing and using the various components of the iMeet product set.

iMeet for Mac and Windows


To use the iMeet desktop app, host or participate in iMeet meetings via the iMeet app or a browser, and Screen Share, your computer must meet the following hardware and software requirements:

Item Requirements
Processor Intel or AMD 1.8 GHz or higher (2.3 GHz or higher recommended)
RAM At least 2 GB
Operating System Windows 7 through 10
Mac OS X 10.10 or newer
Browser

Microsoft Edge (Windows 10)
Internet Explorer 9, 10, or 11 (depends on Windows version)
Mozilla Firefox 45 or newer
Google Chrome 50 or newer
Apple Safari 8 or newer (Mac OS X only)

To use the HTML5 meeting room, you must have a browser with built-in HTML5 support: Microsoft Edge (Windows 10), Internet Explorer 11 or newer, Mozilla Firefox 45 or newer, Apple Safari 8 or newer (Mac OS X only), and Google Chrome 50 or newer.

Flash Player 19 or higher
.NET

Screen Share: .NET 4.0.3 or later

iMeet Toolbar for Outlook: .NET 2.0 (included as part of .NET Framework 3.5). Windows 10 includes the .NET Framework 3.5, but it is not installed by default. These users must enable .NET Framework 3.5 SP1 via the Programs and Features control panel before installing the iMeet Toolbar.

Microsoft Outlook (Windows Only) Outlook 2007 SP2 or higher, 32-bit only
Outlook 2010 SP1 or higher, 32-bit only
Outlook 2013,​​ 32- or 64-bit
Outlook 2016, 32- or 64-bit
Other

​Client must be able to connect to all iMeet servers via TCP port 443 either directly or through web proxy.

Third-party integration might be limited due to local/enterprise security policy restrictions to other sites such as YouTube, Evernote, and Salesforce.

iMeet Mobile Apps


The following table summarizes system requirements for the iMeet mobile apps.  All apps require an active data connection, either through the wireless carrier's 3G/4G/LTE network or via Wi-Fi.

Mobile App OS Versions Supported Devices
iMeet for Android Android platform versions 4.4 and later (KitKat, Lollipop, and Marshmallow). Android smartphones only. Android tablets are not currently supported.
iMeet for iOS (iPad) iOS 8, iOS 9, iOS 10 iPad, iPad Air, iPad Pro, and iPad mini devices, including those with Retina display.
 
iMeet for iOS (iPhone) iOS 8, iOS 9, iOS 10 iPhone devices running iOS 8 or later
​iMeet for Apple Watch ​iOS 8.2 or later ​All Apple Watch devices
iMeet Chat (Android) Android platform version 4.4 and newer (KitKat, Lollipop, and Marshmallow). Android smartphones; not designed for tablets.
​iMeet Chat (iOS) ​iOS 8, iOS 9, iOS 10 ​iPhone devices running iOS 8 or later

Salesforce Integration


iMeet and iMeet Narrate include additional Salesforce integration features. iMeet can automatically record all meetings and send them to your Salesforce account and ad​​d iMeet guests as Salesforce contacts. In iMeet Sales, when viewers watch your content, you can add them as leads in Salesforce.

iMeet Salesforce features ​​require an edition of Salesforce with API access. For more information, please conta​​ct your Salesforce Account Executive or view the Salesforce Knowledge article, What Editions Have API Access?

  • Was this article helpful?